class IbfRP5196 extends IbfReport
{

    public static void main(String argv[])
    {
        IbfRP5196 IbfRP5196 = new IbfRP5196();
        IbfRP5196.run(argv);
    }
    
       
       void setReportName()
       {
          reportName = "IbfRP5196"; // this should be set to class name
                                    // used in displays
       }

       void setSortKeys() 
       {
          keys = new int[] {0,95,1,0,24,31,0};  // descending on catalog, ascending on name
          //keys [0] = sort table length (actual), rest column,length,A/D  triplets
       }
      
       void setCC()  // this method defines location of Control Card fields.
       {
        ccBrch     = ccAll.substring(0,2);
        ccHBGN     = "    ";
        ccCatType  = ccAll.substring(2,5);
        ccCostCode = ccAll.substring(5,6);
        ccMonth    = ccAll.substring(6,8);
        ccPrtAcd   = ccAll.substring(8,9);
       }
          
      void setTl2()
      {
        tl2        = "0    "+u.padRight(division,40)
                           +u.padRight("BERGEN BRUNSWIG CATALOG",24)
                           +mmName[intMonth-1]+" "
                           +u.padZero(intYear,2)
                           +" RP5196 PAGE "
                           ;
      }
      void setHdr1()
      {
        if (ccCostCode.equals("Y")) costLabel = "Cost";

        hdr1       = "      "+u.padRight("Item",8)
                           +u.padRight("Description",32)
                           +u.padRight("N D C",14)
                           +u.padRight("Unit",5)
                           +u.padLeft(costLabel,10)+" "
                           +u.padLeft("List",10)+" CL "
                           +u.padRight("Vendor",11)
                           +           "Product Code"
                           ;
      }
      
      void setDetail()
      {
         out133("      "+
            inputLine[i].substring(17,20)+"-"+
            inputLine[i].substring(20,23)+" "+
            inputLine[i].substring(23,54)+" "+
            inputLine[i].substring(54,68)+" "+
            inputLine[i].substring(68,70)+"  "+
            picNum(inputLine[i].substring(70,77))+" "+
            picNum(inputLine[i].substring(77,84))+" "+
            inputLine[i].substring(94,95)+"  "+
            inputLine[i].substring(84,94)+" "+
            inputLine[i].substring(95,107) 
            
                       );
      }
    
}