class IbfRP5196B extends IbfReport
{

    public static void main(String argv[])
    {
        IbfRP5196B IbfRP5196B = new IbfRP5196B();
        IbfRP5196B.run(argv);
    }
    
       
       void setReportName()
       {
          reportName = "IbfRP5196B"; // this should be set to class name
                                    // used in displays
       }

       void setSortKeys() 
       {
          keys = new int[] {0,95,1,0,24,31,0,55,14,0};  // descending on catalog, ascending on name
          //keys [0] = sort table length (actual), rest column,length,A/D  triplets
       }
      
       void setCC()  // this method defines location of Control Card fields.
       {
        ccBrch     = ccAll.substring(0,2);
        ccHBGN     = "    ";
        ccCatType  = ccAll.substring(2,5);
        ccCostCode = ccAll.substring(5,6);
        ccMonth    = ccAll.substring(6,8);
        ccPrtAcd   = ccAll.substring(8,9);
       }
          
      void setTl2()
      {
        tl2        = "0    "+u.padRight(division,38)
                           +"AMERISOURCEBERGEN CATALOG "
                           +mmName[intMonth-1]+" "
                           +u.padZero(intYear,2)
                           +" RP5196B PAGE "
                           ;
      }
      void setHdr1()
      {
        if (ccCostCode.equals("Y")) costLabel = "COST";

        hdr1       = "      "+u.padRight("ITEM",8)
                           +u.padRight("DESCRIPTION",32)
                           +u.padRight("N D C",11)
                           +u.padRight("UNIT",5)
                           +u.padLeft(costLabel,7)+" "
                           +u.padLeft("LIST",10)+" CL    "
                           +u.padRight("VENDOR",9)
                           +           "PRODUCT CODE"
                           ;
      }
      
      void setDetail()
      {
         out133("    "+
            inputLine[i].substring(17,20)+"-"+
            inputLine[i].substring(20,23)+" "+
            inputLine[i].substring(23,54)+
            inputLine[i].substring(54,68)+" "+
            inputLine[i].substring(68,70)+
            picNum(inputLine[i].substring(70,77))+" "+
            picNum(inputLine[i].substring(77,84))+" "+
            inputLine[i].substring(94,95)+"   "+
            inputLine[i].substring(84,93)+" "+
            inputLine[i].substring(95,107) 
            
                       );
      }
    
}