class IbfRP5226 extends IbfReport
{

    public static void main(String argv[])
    {
        IbfRP5226 IbfRP5226 = new IbfRP5226();
        IbfRP5226.run(argv);
    }
    
       
       void setReportName()
       {
          reportName = "IbfRP5226"; // this should be set to class name
                                    // used in displays
          //testMax    = 100;  // set to limit input for testing.
       }

       void setSortKeys() 
       {
          keys = new int[] {0,102,1,0,28,31,0};  // descending on catalog, ascending on name
          //keys [0] = sort table length (actual), rest column,length,A/D  triplets
       }
      
       void setCC()  // this method defines location of Control Card fields.
       {
        ccBrch     = ccAll.substring(0,2);
        ccHBGN     = ccAll.substring(2,6);
        ccCatType  = ccAll.substring(6,7);
        ccCostCode = "X";
        ccMonth    = ccAll.substring(7,9);
        ccPrtAcd   = ccAll.substring(9,10);
       }
          
      void setTl2()
      {
        tl2        = "0 BG-"+ccHBGN+" " 
                           +u.padRight(division,24)
                           +"AMERISOURCEBERGEN GROUP CATALOG "
                           +mmName[intMonth-1]+" "
                           +u.padZero(intYear,2)
                           +"    PAGE"
                           ;
        tl2b       = "    RP5226B";
      }
      void setHdr1()
      {
        hdr1       = "   "+u.padRight("Item",8)
                           +u.padRight("Description",32)
                           +u.padRight("N D C",14)
                           +u.padRight("Unit",5)
                           +u.padLeft("AWP",8)+" "
                           +u.padLeft("Cost",10)+" Ind CL "
                           +u.padRight("Vendor",10)
                           +           "Product Code"
                           ;
      }
      
      void setDetail()
      {
         out133("   "+
            inputLine[i].substring(21,24)+"-"+
            inputLine[i].substring(24,27)+" "+
            inputLine[i].substring(27,58)+" "+
            inputLine[i].substring(58,72)+" "+
            inputLine[i].substring(72,74)+
            picNum(inputLine[i].substring(74,81))+" "+
            picNum(inputLine[i].substring(81,88))+" "+
            inputLine[i].substring(88,91)+"  "+
            inputLine[i].substring(101,102)+" "+
            inputLine[i].substring(91,100)+" "+
            inputLine[i].substring(102,114) 
            
                       );
      }
    
}